---
title: "Get Commission Groups"
slug: "gets-an-array-of-commission-groups-for-an-advertiser"
updated: 2025-12-10T15:33:34Z
published: 2025-12-10T15:33:34Z
canonical: "help.awin.com/gets-an-array-of-commission-groups-for-an-advertiser"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.awin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Commission Groups

Get/publishers/{publisherId}/commissiongroups

		
			

**GET commissiongroups**

Publishers can request all commission groups of a programme, together with the commission values they get. Furthermore, it is possible to just pull the commission value for a single commission group.

**Who can use it**

Publishers that have an active relationship with a programme

		
		

Header parametersAuthorizationstring

accessToken

Path parameterspublisherIdinteger (int64) Required

publisherId

Query parametersaccessTokenstringRequired

access token

advertiserIdinteger (int64) Required

advertiserId

effectiveDatestring (date-time) 

ISO-8601 date (e.g 2025-03-15T23:59:59Z) to get the commission groups for. If omitted, defaults to now, i.e. the active commission groups

extraConditionsDetailsboolean

When true, includes condition values array for applicable condition types

Defaultfalse

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='268dfa83-d6f6-4f93-9558-7847fcbdbe0f'>*/*</option>
</select>Expand Allobject  advertiserinteger  (int64)    
commissionGroups Array of object (CommissionGroup)   object  amountnumber    
conditions Array of object (CommissionGroupConditions)   object  operatorstring    
typestring    
values Array of string   string    

currencystring    
groupCodestring    
groupIdinteger  (int64)    
groupNamestring    
percentagenumber    
typestring    

publisherinteger  (int64)    
ratesEndstring  (date-time)    Exampleyyyy-MM-dd'T'HH:mm:ss'Z'
ratesStartstring  (date-time)    Exampleyyyy-MM-dd'T'HH:mm:ss'Z'

		
			

**Which data fields do we provide**

| Field name | Description |
| --- | --- |
| groupId | The ID of the commission groups, it is unique even across advertisers |
| groupCode | Code of the commission group, not necessarily unique across advertisers |
| groupName | Name of the commission group, can provide additional information to the groupCode |
| type | Can be either "fix" or "percentage" |
| amount | Only available for type "fix" |
| currency | Only available for type "fix" |
| percentage | Only available for type "percentage" |
| ratesStart | ISO-8601 timestamp indicating when this set of rates becomes effective |
| ratesEnd | ISO-8601 timestamp indicating when this set of rates stops being effective. This field is omitted if the rates are ongoing |
| conditions | An array with the conditions for applicable condition types for the current commission group. |
